/*
 * Created on 4-mag-2004
 */
package jaCop.event;

import jaCop.domain.*;

/**
 * @author Lompa
 */
public class NewNeighborEvent extends JaCOPEvent {
	
	private COPNode neighbor = null;
	
	public NewNeighborEvent(Object source, String community, COPNode neighbor){
		super(source, community);
		this.neighbor = neighbor;
	}
	
	
	/**
	 * @return Returns the neighbor.
	 */
	public COPNode getNeighbor() {
		return neighbor;
	}
}
